> ## Documentation Index
> Fetch the complete documentation index at: https://atlas-a61958e8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Intercom Event Received

> Sync events from Intercom via webhook



## OpenAPI

````yaml https://zeus-api.atlas.so/openapi.json post /v1/webhooks/{integration_id}/intercom-event-received
openapi: 3.1.0
info:
  title: Zeus public API
  description: Zeus public API Documentation
  version: '1'
servers:
  - url: https://zeus-api.atlas.so
    description: Zeus public API
security: []
paths:
  /v1/webhooks/{integration_id}/intercom-event-received:
    post:
      tags:
        - Conversation
      summary: Intercom Event Received
      description: Sync events from Intercom via webhook
      operationId: >-
        intercom_event_received_v1_webhooks__integration_id__intercom_event_received_post
      parameters:
        - name: integration_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Integration Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
              title: Data
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/IngestMessageResult'
                  - type: 'null'
                title: >-
                  Response Intercom Event Received V1 Webhooks  Integration Id 
                  Intercom Event Received Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IngestMessageResult:
      properties:
        message:
          $ref: '#/components/schemas/ZeusMessage'
        conversation:
          $ref: '#/components/schemas/ZeusConversation'
      type: object
      required:
        - message
        - conversation
      title: IngestMessageResult
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ZeusMessage:
      properties:
        id:
          type: string
          title: Id
        role:
          $ref: '#/components/schemas/MessageRole'
        type:
          $ref: '#/components/schemas/MessageType'
          default: default
        text:
          anyOf:
            - type: string
            - type: 'null'
          title: Text
        attachments:
          items:
            $ref: '#/components/schemas/ZeusAttachment'
          type: array
          title: Attachments
          default: []
        sentAt:
          type: string
          format: date-time
          title: Sentat
        isSuggestion:
          type: boolean
          title: Issuggestion
          default: false
        agentInfo:
          anyOf:
            - $ref: '#/components/schemas/ZeusAgent'
            - type: 'null'
      type: object
      required:
        - id
        - role
        - sentAt
      title: ZeusMessage
    ZeusConversation:
      properties:
        id:
          type: string
          title: Id
        customerId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Customerid
        status:
          $ref: '#/components/schemas/ConversationStatus'
        createdAt:
          type: string
          format: date-time
          title: Createdat
        channel:
          anyOf:
            - type: string
            - type: 'null'
          title: Channel
        firstUnreadMessageId:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Firstunreadmessageid
      type: object
      required:
        - id
        - status
        - createdAt
      title: ZeusConversation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    MessageRole:
      type: string
      enum:
        - system
        - human
        - agent
        - ai
      title: MessageRole
    MessageType:
      type: string
      enum:
        - default
        - system
        - tool_calls
        - tool_interrupt
        - tool_result
        - rejected
        - fix_request
        - escalation
        - de_escalation
        - resolution
      title: MessageType
    ZeusAttachment:
      properties:
        name:
          type: string
          title: Name
        url:
          type: string
          title: Url
        sanitized_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Sanitized Url
      type: object
      required:
        - name
        - url
      title: ZeusAttachment
    ZeusAgent:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        avatar:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar
      type: object
      required:
        - id
        - name
      title: ZeusAgent
    ConversationStatus:
      type: string
      enum:
        - open
        - closed
        - escalated
        - deleted
        - interrupted
      title: ConversationStatus

````